/*
 * spi.c
 *
 *  Created on: 1 Jun 2012
 *      Author: SUPPORT 4
 */

#include <avr/io.h>
#include "uart_lib.h"
#include "spi.h"

void SPI_MasterInit(void){
// Set MOSI and SCK output, all others input
DDR_SPI = (1<<DD_MOSI)|(1<<DD_SCK);
// Enable SPI, Master, set clock rate fck/16
//SPCR = (1<<SPE)|(1<<MSTR)|(1<<SPR0);
SPCR=0x51;
SPSR=0x01;
}

void SPI(char cData)
{
/* Start transmission */
SPDR = cData;
/* Wait for transmission complete */
while(!(SPSR & (1<<SPIF)));
}


