/*
 * vs1011e.h
 *
 *  Created on: 1 Jun 2012
 *      Author: SUPPORT 4
 */

#ifndef VS1011E_H_
#define VS1011E_H_

/* VS1011E SCI Registers */
#define SCI_MODE        0x00
#define SCI_STATUS      0x01
#define SCI_BASS        0x02
#define SCI_CLOCKF      0x03
#define SCI_DECODE_TIME 0x04
#define SCI_AUDATA      0x05
#define SCI_WRAM        0x06
#define SCI_WRAMADDR    0x07
#define SCI_HDAT0       0x08
#define SCI_HDAT1       0x09
#define SCI_AIADDR      0x0A
#define SCI_VOL         0x0B
#define SCI_AICTRL0     0x0C
#define SCI_AICTRL1     0x0D
#define SCI_AICTRL2     0x0E
#define SCI_AICTRL3     0x0F

/*DT-AVR 128L BMS SPI*/
/*DT-AVR 128L BMS VS1011 Control*/
#define MP3_ddr		DDRB
#define MP3_port	PORTB
#define Mp3_pin		PINB

#define XCS     PB0
#define SCK     PB1
#define SI      PB2
#define SO      PB3
#define DREQ    PB5
#define XDCS 	PB7  //DCS or BSYNC PORT
#define XRST	PB4

void vs1011e_init(void);
void writeSCI(unsigned char address, unsigned char high_byte, unsigned char low_byte);
void vs1011e_sw_reset();
void vs1011e_reset();
void vs1011e_sine_test();
void vs1011e_set_mode_play();
void vs1011e_send_zero();


#endif /* VS1011E_H_ */
