/*
 * uart_lib.c
 *
 *  Created on: 4 Jun 2012
 *      Author: http://ftp.bricsworld.com/?dir=AVR_LIBRARY/UART
 */

#include"uart_lib.h"

void USART_Init(int BAUD)
{

UBRR0H = (unsigned char)((FOSC/16/BAUD-1)>>8);
UBRR0L = (unsigned char)(FOSC/16/BAUD-1);

UCSR0A=0x00;
UCSR0B=0x98;
UCSR0C=0x86;
/*UBRRH=0x00;
UBRRL=0x19;*/
}


void USART_putchar( unsigned char data )
{
/* Wait for empty transmit buffer */
while ( !( UCSR0A & (1<<UDRE0)) )
;
/* Put data into buffer, sends the data */
UDR0 = data;
}


void usart_putsf(const char *s){
	while (*s){
		USART_putchar(*s++);
	}
}

/*char USART_Receive( void )
{
   while(!(UCSRA & (1<<7)))
   {
    USART_Transmit('n');
	_delay_ms(500);
   }

   //Now USART has got data from host
   //and is available is buffer

   return UDR;
}

*/


uint8_t USART_Receive()

{

// Wait until a byte has been received

while((UCSR0A&(1<<RXC0)) == 0);

// Return received data

return UDR0;

}
