/*
 * vinculum_usb_host_SK.c
 *
 *  Created on: 1 Jun 2012
 *      Author: SUPPORT 4
 */
#include <avr/io.h>
#include <util/delay.h>
#include "vinculum_usb_host_SK.h"
#include "main.h"
#include "uart_lib.h"


void parallel_input(){
	pdata_port = 0xFF;
	pdata_ddr = 0x00;
}

void parallel_output(){
	pdata_port = 0xFF;
	pdata_ddr = 0xFF;
}

void parallel_init(){
	setbit(rxf_port, rxf);
	clrbit(rxf_ddr, rxf);

	setbit(txe_port, txe);
	clrbit(txe_ddr, txe);

	setbit(rd_port, rd);
	setbit(rd_ddr, rd);

	setbit(wr_port, wr);
	setbit(wr_ddr, wr);

}

unsigned char parallel_read (){

	while(checkbit(rxf_pin, rxf));
	clrbit(rd_port, rd);
	_delay_us(1);
	par_temp = pdata_pin;
	setbit(rd_port, rd);
	_delay_us(1);
	return par_temp;
}

void parallel_write(unsigned char data){

	while(checkbit(txe_pin, txe));
	setbit(wr_port, wr);
	_delay_us(1);
	pdata_port = data;
	clrbit(wr_port, wr);
}

void printp(unsigned char *data){
	parallel_output();
		while(*data!=0){
			parallel_write(*data++);
		}
	parallel_input();
}

