/*
 * vinculum_usb_host_SK.h
 *
 *  Created on: 1 Jun 2012
 *      Author: SUPPORT 4
 */

#ifndef VINCULUM_USB_HOST_SK_H_
#define VINCULUM_USB_HOST_SK_H_

//VNC1L USB Starter Kit
#define pdata_port 	PORTC
#define pdata_pin 	PINC
#define pdata_ddr 	DDRC

#define rxf PD0			//using External Interrupt 0
#define rxf_port PORTD
#define rxf_pin PIND
#define rxf_ddr DDRD

#define txe PD1
#define txe_port PORTD
#define txe_ddr DDRD
#define txe_pin PIND

#define rd PD2
#define rd_port PORTD
#define rd_ddr DDRD
#define rd_pin PIND

#define wr PD3
#define wr_port PORTD
#define wr_ddr DDRD
#define wr_pin PIND

void parallel_init(void);
void parallel_input(void);
void parallel_output(void);
unsigned char parallel_read (void);
void parallel_write(unsigned char data);
void printp(unsigned char *data);


unsigned char par_temp;

#endif /* VINCULUM_USB_HOST_SK_H_ */
